#define __SFR_OFFSET 0x00
#include "avr/io.h"

.global start
.global led

start:
  SBI   DDRB,5        ;set bit in the 5th DDR register of port B to 1 (output)
  RET

led:
  CPI   R24, 0x00     ;compare the value in register 24 passed as parameter to the function to 0x00
  BREQ  ledOFF
  SBI   PORTB,5       ;set bit in the 5th PORT B register to 1 (HIGH)
  RET

ledOFF:
  CBI   PORTB, 5      ;set bit in the 5th PORT B register to 0 (LOW)
  RET
