#include <Wire.h>

#define SLAVE_DEVICE_ID 0x33

bool ledON = true;

void setup() 
{
  Wire.begin(); 
  Serial.begin(9600);
}

void loop() 
{
  Wire.beginTransmission(SLAVE_DEVICE_ID);  //we need to know the device ID on from the slave in advance
  if (ledON) {
    Wire.write('1'); 
    ledON = false;
  } else {
    Wire.write('0'); 
    ledON = true;
  }
  Wire.endTransmission();
 
  delay(200);
}
